cancel
Showing results for 
Search instead for 
Did you mean: 
Reply
Highlighted
Super User II
Super User II

HTTP action, GET, api-version missing error but is there

My flows calls another flow using the HTTP action, with GET - the flow results shown in the images.

The error message in the OUTPUTS image is:

{
"error": {
    "code": "MissingApiVersionParameter",
    "message": "The api-version query parameter (?api-version=) is required for all requests."
  }
}

But in the INPUTS the api-version parameter can be seen! What is going on?

 

Kind regards, John

Flow.HTTP.Inputs.pngFlow.HTTP.Outputs.png

1 ACCEPTED SOLUTION

Accepted Solutions
Super User II
Super User II

Re: HTTP action, GET, api-version missing error but is there

As a workaround, removed the Queries definition and added it directly in the URL as &id=291

 

Funny enough, that worked! Can I not use the Queries to provide the id?

 

Kind regards, John

View solution in original post

1 REPLY 1
Super User II
Super User II

Re: HTTP action, GET, api-version missing error but is there

As a workaround, removed the Queries definition and added it directly in the URL as &id=291

 

Funny enough, that worked! Can I not use the Queries to provide the id?

 

Kind regards, John

View solution in original post

Helpful resources

Announcements
firstImage

Super User Program Update

Three Super User rank tiers have been launched!

firstImage

Power Platform 2020 release wave 2 plan

Features releasing from October 2020 through March 2021

firstImage

New & Improved Power Automate Community Cookbook

We've updated and improved the layout and uploading format of the Power Automate Cookbook!

thirdimage

Power Automate Community User Group Member Badge

Fill out a quick form to claim your user group badge now!

Users online (10,125)